# SpringCloud2020学习笔记

#### 技术选型
SpringCloud：Hoxton.SR1

SpringBoot：2.2.2RELEASE

SpringCloud Alibaba：2.1.0.RELEASE

Java：8

Maven：3.5及以上

MySQL：5.7及以上

#### 项目结构
| 项目名                                  | 用途                                            | 所用技术                                                     |
| --------------------------------------- | :---------------------------------------------- | ------------------------------------------------------------ |
| cloud-api-commons                       | 公共代码部分（返回结果集、实体等）              | \                                                            |
| cloud-consumer-consul-order80           | 消费方通过Consul调用服务方                      | 注册中心（Consul）、远程调用（RestTemplate）                 |
| cloud-consumer-feign-order80            | 消费方通过feign远程调用服务方                   | 服务调用（Openfeign）、注册中心（EurekaClient）              |
| cloud-consumer-order80                  | 消费方通过Eureka调用服务方等示例                | 注册中心（Eureka）、远程调用（RestTemplate）、链路追踪（Sleuth） |
| cloud-consumer-zk-order80               | 消费方通过Zk调用服务方                          | 注册中心（Zk）、远程调用（RestTemplate）                     |
| cloud-eureka-server7001                 | Eureka服务端1                                   | 注册中心（EurekaServer）                                     |
| cloud-eureka-server7002                 | Eureka服务端2                                   | 注册中心（EurekaServer）                                     |
| cloud-provider-consul-payment8006       | 服务方通过Consul注册服务                        | 注册中心（Consul）                                           |
| cloud-provider-payment8001              | 服务方通过Eureka注册服务                        | 注册中心（Euraka）、链路追踪（Sleuth）                       |
| cloud-provider-payment8002              | 服务方通过Eureka注册服务                        | 注册中心（Euraka）                                           |
| cloud-provider-zk-payment8004           | 服务方通过Zk注册服务                            | 注册中心（Zk）                                               |
| cloud-provider-hystrix-payment8001      | 服务方通过Hystrix服务降级和熔断                 | 服务降级和熔断（Hystrix）、服务监控（Actuator）              |
| cloud-consumer-feign-hystrix-order80    | 消费方消费方通过feign远程调用服务方带降级和服务 | 服务降级和熔断（Hystrix）、服务调用（Openfeign）             |
| cloud-consumer-hystrix-dashboard9001    | Hystrix监控仪表盘                               | 服务监控（Hystrix）                                          |
| cloud-gateway-gateway9527               | 网关服务GateWay                                 | 网关（GateWay）                                              |
| cloud-config-center-3344                | 配置中心服务端                                  | 配置中心（Config-Server）、服务总线（BUS）                   |
| cloud-config-client-3355                | 配置中心客户端1                                 | 配置中心（Config）、服务总线（BUS）                          |
| cloud-config-client-3356                | 配置中心客户端1                                 | 配置中心（Config）、服务总线（BUS）                          |
| cloud-stream-provider-rabbitmq8801      | 消息驱动发送方                                  | 消息驱动（Stream）                                           |
| cloud-stream-provider-rabbitmq8802      | 消息驱动接受方1                                 | 消息驱动（Stream）                                           |
| cloud-stream-consumer-rabbitmq8803      | 消息驱动接受方2                                 | 消息驱动（Stream）                                           |
| cloudalibaba-config-nacos-client3377    | 配置中心客户端Nacos                             | 配置中心（Nacos）、服务注册（Nacos）                         |
| cloudalibaba-provider-nacos-payment9001 | 消费方通过Nacos注册服务                         | 服务注册（Nacos）                                            |
| cloudalibaba-provider-nacos-payment9002 | 消费方通过Nacos注册服务                         | 服务注册（Nacos）                                            |






持续更新中....